| Home | Libraries | People | FAQ | More

##### BOOST_GEOMETRY_REGISTER_POINT_2D_GET_SET

Macro to register a 2D point type (having separate get/set methods)

###### Description

The macro BOOST_GEOMETRY_REGISTER_POINT_2D_GET_SET registers a two-dimensional point type such that it is recognized by Boost.Geometry and that Boost.Geometry functionality can used with the specified type.. The get/set version registers get and set methods separately and can be used for classes with protected member variables and get/set methods to change coordinates

###### Synopsis

    #define BOOST_GEOMETRY_REGISTER_POINT_2D_GET_SET(Point, CoordinateType, CoordinateSystem,
                                              Get0, Get1, Set0,
                                              Set1)

###### Parameters

Name | Description
--- | ---
Point | Point type to be registered
CoordinateType | Type of the coordinates of the point (e.g. double)
CoordinateSystem | Coordinate system (e.g. cs::cartesian)
Get0 | Method to get the first (usually x) coordinate
Get1 | Method to get the second (usually y) coordinate
Set0 | Method to set the first (usually x) coordinate
Set1 | Method to set the second (usually y) coordinate

###### Header

`#include <boost/geometry/geometries/register/point.hpp>`